/* Reads data from a child process with process id = id
**  and displays output in the text widget "text_output"
*/ 

#include <Xm/Xm.h>
 
XmStringCharSet char_set = XmSTRING_DEFAULT_CHARSET; 
extern void wprint(); 
 
     
/*   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   */
void 
GetFromChild (XtPointer client_data, int *source, XtInputId *id)
{
    char *t, s[10000];
    XmString xs;
    int len;

    len = read (*source, s, 10000);
    if (len == 0) {
       XtRemoveInput (*id);
    }
    else {
       s[len] = '\0';
       t = strtok (s, "\n");
       while (t) {
             xs = XmStringCreateLtoR (t, char_set);
             XmStringFree (xs);
             wprint ("%s\n", t);
             t=strtok(NULL, "\n");
       }
    }
}
