/* PostMenu() -- event handler for the 3rd mouse button on the 
** PushButton widget's window.
**/
 
#include <Xm/Xm.h>

 
/*   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   */
void
PostMenu(Widget pb, XtPointer client_data, XEvent *event)
{
    Widget popup = (Widget) client_data;
    XButtonPressedEvent *bevent = (XButtonPressedEvent *) event;

    if (bevent->button != 3)
        return; 
    /* Position the menu at the location of the button press.  If we wanted
    **  to position it elsewhere, we could change the x,y fields of the
    **  event structure.
    */
    XmMenuPosition (popup, bevent);
    XtManageChild (popup);
}
