/* Callback routine for when the user presses the OK button.
** Despite the fact that the OK button was pressed, the
** widget passed to this callback routine is the dialog.
*/
 
#include "xppp.h"
#include <Xm/Xm.h>

extern XtIntervalId counter;
extern Widget time_label; 
extern void OpenPipe();


/*   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   */
void
TerminateOk(Widget dialog, XtPointer client_data, XtPointer call_data)
{ 
    char temp_command[MAX_STRING] = "ppp-stop";
    char command[MAX_STRING] = PPP_DIR;

    if (counter) 
       XtRemoveTimeOut (counter);

    XmTextSetString (time_label, "00:00:00");

    strcat (command, "/");
    strcat (command, temp_command);

    OpenPipe (command);                     

    XtDestroyWidget (dialog);
}
