/* Prints va_list to the ScrollText given by the widget "text_output" */

#include <varargs.h>
#include <Xm/Xm.h> 
 
extern Widget text_output; 

 
/*   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   */
void
wprint(va_alist)
va_dcl
{
    char msgbuf[256];
    char *fmt;
    static XmTextPosition wpr_position;
    va_list args;
    
    va_start (args);
    fmt = va_arg (args, char *);
    
    (void) vsprintf (msgbuf, fmt, args);
    
    va_end (args);
    
    XmTextInsert (text_output, wpr_position, msgbuf);
    wpr_position = wpr_position + strlen(msgbuf);
    XtVaSetValues (text_output, XmNcursorPosition, wpr_position, NULL);
    XmTextShowPosition (text_output, wpr_position);
}
